Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1606287 - rxvt-unicode: FTBFS in F29: configure: error: no acceptable C compiler found in $PATH
Summary: rxvt-unicode: FTBFS in F29: configure: error: no acceptable C compiler found ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rxvt-unicode
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks: 1551327 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 19:20 UTC by Mohan Boddu
Modified: 2020-11-05 10:08 UTC (History)
4 users (show)

Fixed In Version: rxvt-unicode-9.22-11.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-13 02:30:54 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 19:20 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 19:20 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 19:20 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 19:20:27 UTC
rxvt-unicode failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28232671


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix rxvt-unicode at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rxvt-unicode will be orphaned. Before branching of Fedora 30,
rxvt-unicode will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 19:20:32 UTC
Created attachment 1467874 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 19:20:36 UTC
Created attachment 1467875 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 19:20:39 UTC
Created attachment 1467876 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 08:58:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Petr Pisar 2018-09-17 14:52:35 UTC
+ ./configure --build=aarch64-redhat-linux-gnu --host=aarch64-redhat-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --enable-keepscrolling --enable-selectionscrolling --enable-pointer-blank --enable-utmp --enable-wtmp --enable-lastlog --enable-xft --enable-font-styles --enable-pixbuf --enable-transparency --enable-fading --enable-rxvt-scroll --enable-next-scroll --enable-xterm-scroll --enable-perl --enable-mousewheel --enable-slipwheeling --enable-smart-resize --enable-frills --disable-iso14755 --with-term=rxvt-unicode
configure: WARNING: unrecognized options: --disable-dependency-tracking
checking build system type... aarch64-redhat-linux-gnu
checking host system type... aarch64-redhat-linux-gnu
configuring for rxvt 9.22
checking for aarch64-redhat-linux-gnu-gcc... no
checking for gcc... no
checking for aarch64-redhat-linux-gnu-cc... no
checking for cc... no
checking for aarch64-redhat-linux-gnu-cl.exe... no
checking for cl.exe... no
configure: error: in `/builddir/build/BUILD/rxvt-unicode-9.22/rxvt-unicode-9.22':
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details

A difference between passing and failing build root is at <https://apps.fedoraproject.org/koschei/build/4979758>.

It looks like this package is missing "BuildRequires: gcc".

Comment 6 Jan Pokorný [poki] 2018-11-01 17:41:02 UTC
For my local mockbuild, it seems I needed to add (also?):

> BuildRequires: gcc-c++

Comment 7 Fedora Update System 2019-01-04 18:52:54 UTC
rxvt-unicode-9.22-11.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4752e78ff7

Comment 8 Fedora Update System 2019-01-05 18:51:53 UTC
rxvt-unicode-9.22-11.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4752e78ff7

Comment 9 Fedora Update System 2019-01-13 02:30:54 UTC
rxvt-unicode-9.22-11.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.